/*******************************************************************************
* Copyright (c)                                                                *
*           2005   Tristan Allwood,                                            *
*           2005   Daniel Burke,                                               *
*           2005   Marc Hull,                                                  *
*           2005   Ekaterina Itskova,                                          *
*           2005   Steve Zymler                                                *
*                                                                              *
* Permission is hereby granted, free of charge, to any person obtaining a      *
* copy of this software and associated documentation files (the                *
* "Software"), to deal in the Software without restriction, including          *
* without limitation the rights to use, copy, modify, merge, publish,          *
* distribute, sublicense, and/or sell copies of the Software, and to           *
* permit persons to whom the Software is furnished to do so, subject to        *
* the following conditions:                                                    *
*                                                                              *
* The above copyright notice and this permission notice shall be included      *
* in all copies or substantial portions of the Software.                       *
*                                                                              *
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS      *
* OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF                   *
* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.       *
* IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY         *
* CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,         *
* TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE            *
* SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.                       *
*******************************************************************************/
/*
 * Created on 24-Nov-2004
 *
 */

package uk.ac.ic.doc.kevlar.gui.internal.taskpane.loadpane;

import java.util.List;

import org.eclipse.swt.graphics.Point;

import uk.ac.ic.doc.kevlar.Kevlar;
import uk.ac.ic.doc.kevlar.gui.GUIManager;
import uk.ac.ic.doc.kevlar.gui.internal.pipeline.Macro;
import uk.ac.ic.doc.kevlar.gui.internal.pipeline.PipeLineManager;
import uk.ac.ic.doc.kevlar.gui.internal.pipeline.Program;
import uk.ac.ic.doc.kevlar.gui.internal.taskpane.directorypane.ALoadSavePane;

/**
 * @author Kate
 *
 */

public class LoadPane extends ALoadSavePane {


	public LoadPane(Point position) {
		super(position, 0);
	}

	public String getName() {
		return "Load Pipelines";
	}
	

	
	public void load(String filename)
	{
	
		if (PipeLineManager.getSingleton().isEnabled()) {
	
			try
			{
				String fullPath = getCurrentDirectoryPath()+filename;
				if (Kevlar.DEBUG)
				{
					System.out.println(fullPath);
				}
				GUILoaderCallback loader = GUILoaderCallback.getSingleton();
				GUIManager.getHial().loadContextFromFile(fullPath, loader);
			
				List<MacroLoadStructure> macros = loader.getMacroStructures();
			
				if (!macros.isEmpty())
				{
					for (int i = 0; i<macros.size(); i++)
					{
						MacroLoadStructure macro = macros.get(i);
						PipeLineManager.getSingleton().loadMacro(macro, macros);
					}
				
					loader.clearMacroStructureList();
				}
			
				//redraw();
				//applyRedraw();
			}
			catch(Exception e)
			{
				e.printStackTrace();
			}
		}
	}
	

}
